incubator-cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mike McClurg <mike.mccl...@gmail.com>
Subject Re: XAPI API (aka xenserver-java)
Date Sun, 20 May 2012 20:02:40 GMT
On Sat, May 19, 2012 at 4:12 AM, David Nalley <david@gnsa.us> wrote:
> I just looked at xenserverjava (the version shipped today 5.6.100-1,
> and 6.0.0-1)
>
> However, while there is a copy of ASLv2 in the source, it does so
> because some dependencies that it uses are licensed under ASLv2, but
> the actual code itself has only GPLv2 headers.

David,

Thanks for spotting that. As I said, we should have no problem
changing the license to something more suitable. I have a few
questions.

- What is the best license to release this software under? I expect
that a permissive, BSD-like license would be acceptable for the Apache
Foundation, yes?

- Will it be necessary to also release the API generation code as
well? This is something I want to do anyway, but I want to know if it
will be required for the Apache Foundation.

- Will we have to re-license and re-publish previously released
versions of the xenserverjava library? Which versions does CloudStack
depend on? Would it instead be sufficient to re-license the library in
the next version of XenServer?

Thanks,

Mike

Mime
View raw message